#
# spec file for package python-cdecimal
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-cdecimal
Version:        2.3
Release:        lp150.1.3
Summary:        Fast drop-in replacement for decimal
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://www.bytereef.org/mpdecimal/index.html
Source:         http://www.bytereef.org/software/mpdecimal/releases/cdecimal-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
The python-cdecimal package is a fast drop-in replacement for the decimal
module in Python's standard library for Python version above 2.4 and below 3.3.

It provides a complete implementation of Mike Cowlishaw/IBM's General Decimal
Arithmetic Specification.

Since cdecimal is compatible with decimal, the official documentation is valid:
http://docs.python.org/library/decimal.html

For the few remaining differences, see:
http://www.bytereef.org/mpdecimal/doc/cdecimal/index.html

Please note: cdecimal has been integrated into CPython 3.3, where it supersedes
the pure Python version. If you need maximum decimal performance, you should
use that Python version.


%prep
%setup -q -n cdecimal-%{version}

%build
# setup.py install rebuilds it again anyway

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.txt
%{python_sitearch}/*

%changelog
* Fri Jul  1 2016 axel.braun@gmx.de
- license corrected
* Fri Jan 31 2014 hpj@urpla.net
- update to version 2.3
- rebuild spec from scratch
- remove doc package: no docs provided anymore
- remove check: test files have license issues
* Mon Jan 10 2011 hpj@urpla.net
- separate doc into its own package
* Mon Jan 10 2011 hpj@urpla.net
- update to version 2.2
* Mon Dec 20 2010 hpj@urpla.net
- include build tests
* Mon Dec 20 2010 hpj@urpla.net
- initial build 1.97-rc2
